# Uses of Class
com.fasterxml.jackson.core.sym.ByteQuadsCanonicalizer

Packages that use ByteQuadsCanonicalizer
Package
Description
com.fasterxml.jackson.core
Main public API classes of the core streaming JSON processor: most importantly `JsonFactory` used for constructing JSON parser (`JsonParser`) and generator (`JsonGenerator`) instances.
com.fasterxml.jackson.core.json
JSON-specific parser and generator implementation classes that Jackson defines and uses.
com.fasterxml.jackson.core.json.async
Non-blocking ("async") JSON parser implementation.
com.fasterxml.jackson.core.sym
Internal implementation classes for efficient handling of of symbols in JSON (field names in Objects)

## Uses of ByteQuadsCanonicalizer in com.fasterxml.jackson.core

Fields in com.fasterxml.jackson.core declared as ByteQuadsCanonicalizer
Modifier and Type
Field
Description
`protected final ByteQuadsCanonicalizer`
JsonFactory.`_byteSymbolCanonicalizer`
Alternative to the basic symbol table, some stream-based parsers use different name canonicalization method.

## Uses of ByteQuadsCanonicalizer in com.fasterxml.jackson.core.json

Fields in com.fasterxml.jackson.core.json declared as ByteQuadsCanonicalizer
Modifier and Type
Field
Description
`protected final ByteQuadsCanonicalizer`
UTF8DataInputJsonParser.`_symbols`
Symbol table that contains field names encountered so far
`protected final ByteQuadsCanonicalizer`
UTF8StreamJsonParser.`_symbols`
Symbol table that contains field names encountered so far
Methods in com.fasterxml.jackson.core.json with parameters of type ByteQuadsCanonicalizer
Modifier and Type
Method
Description
`JsonParser`
ByteSourceJsonBootstrapper.`constructParser(int parserFeatures, ObjectCodec codec, ByteQuadsCanonicalizer rootByteSymbols, CharsToNameCanonicalizer rootCharSymbols, int factoryFeatures)`
Constructors in com.fasterxml.jackson.core.json with parameters of type ByteQuadsCanonicalizer
Modifier
Constructor
Description
``
`UTF8DataInputJsonParser(IOContext ctxt, int features, DataInput inputData, ObjectCodec codec, ByteQuadsCanonicalizer sym, int firstByte)`
``
`UTF8StreamJsonParser(IOContext ctxt, int features, InputStream in, ObjectCodec codec, ByteQuadsCanonicalizer sym, byte[] inputBuffer, int start, int end, boolean bufferRecyclable)`
Deprecated.
Since 2.10
``
`UTF8StreamJsonParser(IOContext ctxt, int features, InputStream in, ObjectCodec codec, ByteQuadsCanonicalizer sym, byte[] inputBuffer, int start, int end, int bytesPreProcessed, boolean bufferRecyclable)`
Constructor called when caller wants to provide input buffer directly (or needs to, in case of bootstrapping having read some of contents) and it may or may not be recyclable use standard recycle context.

## Uses of ByteQuadsCanonicalizer in com.fasterxml.jackson.core.json.async

Fields in com.fasterxml.jackson.core.json.async declared as ByteQuadsCanonicalizer
Modifier and Type
Field
Description
`protected final ByteQuadsCanonicalizer`
NonBlockingJsonParserBase.`_symbols`
Symbol table that contains field names encountered so far
Methods in com.fasterxml.jackson.core.json.async that return ByteQuadsCanonicalizer
Modifier and Type
Method
Description
`protected ByteQuadsCanonicalizer`
NonBlockingJsonParserBase.`symbolTableForTests()`
Constructors in com.fasterxml.jackson.core.json.async with parameters of type ByteQuadsCanonicalizer
Modifier
Constructor
Description
``
`NonBlockingByteBufferJsonParser(IOContext ctxt, int parserFeatures, ByteQuadsCanonicalizer sym)`
``
`NonBlockingJsonParser(IOContext ctxt, int parserFeatures, ByteQuadsCanonicalizer sym)`
``
`NonBlockingJsonParserBase(IOContext ctxt, int parserFeatures, ByteQuadsCanonicalizer sym)`
`protected`
`NonBlockingUtf8JsonParserBase(IOContext ctxt, int parserFeatures, ByteQuadsCanonicalizer sym)`

## Uses of ByteQuadsCanonicalizer in com.fasterxml.jackson.core.sym

Fields in com.fasterxml.jackson.core.sym declared as ByteQuadsCanonicalizer
Modifier and Type
Field
Description
`protected final ByteQuadsCanonicalizer`
ByteQuadsCanonicalizer.`_parent`
Reference to the root symbol table, for child tables, so that they can merge table information back as necessary.
Methods in com.fasterxml.jackson.core.sym that return ByteQuadsCanonicalizer
Modifier and Type
Method
Description
`static ByteQuadsCanonicalizer`
ByteQuadsCanonicalizer.`createRoot()`
Factory method to call to create a symbol table instance with a randomized seed value.
`protected static ByteQuadsCanonicalizer`
ByteQuadsCanonicalizer.`createRoot(int seed)`
`ByteQuadsCanonicalizer`
ByteQuadsCanonicalizer.`makeChild(int flags)`
Factory method used to create actual symbol table instance to use for parsing.
`ByteQuadsCanonicalizer`
ByteQuadsCanonicalizer.`makeChildOrPlaceholder(int flags)`
Method similar to `makeChild(int)` but one that only creates real instance of `JsonFactory.Feature.CANONICALIZE_FIELD_NAMES` is enabled: otherwise a "bogus" instance is created.